unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, Grids, Calendar, ComCtrls, StdCtrls, Spin;

type
  TForm1 = class(TForm)
    TabControl1: TTabControl;
    Calendar1: TCalendar;
    SpinEdit1: TSpinEdit;
    Label1: TLabel;
    Label2: TLabel;
    Edit1: TEdit;
    Label3: TLabel;
    procedure TabControl1Change(Sender: TObject);
    procedure SpinEdit1Change(Sender: TObject);
    procedure Calendar1Change(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.TabControl1Change(Sender: TObject);
begin
  Calendar1.Month := TabControl1.TabIndex +1;
end;

procedure TForm1.SpinEdit1Change(Sender: TObject);
begin
  Calendar1.Year := SpinEdit1.Value;
end;

procedure TForm1.Calendar1Change(Sender: TObject);
const
  A : Array [1..7] of string[11] = ('', '', '',
  '', '',  '', '');
begin
  Edit1.Text := A [DayOfWeek(Calendar1.CalendarDate)];
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  Calendar1.CalendarDate := Date;                         //  
  TabControl1.TabIndex := Calendar1.Month -1;  //   TabControl1
  SpinEdit1.Value := Calendar1.Year;                  //   SpinEdit1
end;

end.
